[package]
name = "gstreamer-play"
version = "0.19.0"
authors = ["Sebastian Dröge <sebastian@centricular.com>"]
categories = ["api-bindings", "multimedia"]
description = "Rust bindings for GStreamer Play library"
repository = "https://gitlab.freedesktop.org/gstreamer/gstreamer-rs"
license = "MIT OR Apache-2.0"
readme = "README.md"
homepage = "https://gstreamer.freedesktop.org"
documentation = "https://gstreamer.pages.freedesktop.org/gstreamer-rs/stable/latest/docs/gstreamer_play/"
keywords = ["gstreamer", "multimedia", "audio", "video", "gnome"]
edition = "2021"
rust-version = "1.60"

[dependencies]
bitflags = "1.0"
libc = "0.2"
ffi = { package = "gstreamer-play-sys", path = "sys" }
glib = { git = "https://github.com/gtk-rs/gtk-rs-core" }
gst = { package = "gstreamer", path = "../gstreamer", features = ["v1_20"] }
gst-video = { package = "gstreamer-video", path = "../gstreamer-video", features = ["v1_20"] }
once_cell = "1.0"

[dev-dependencies]
gir-format-check = "0.1"

[features]
v1_22 = ["gst/v1_22", "gst-video/v1_22", "ffi/v1_22"]
dox = ["v1_22", "ffi/dox", "glib/dox", "gst/dox", "gst-video/dox"]

[package.metadata.docs.rs]
features = ["dox"]
